Get Group Layers
GET
/{organization}/projects/{projectId}/groups/{groupId}/layers
const url = 'https://app.civillo.com/api/v1/example/projects/1/groups/example/layers';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.civillo.com/api/v1/example/projects/1/groups/example/layers \ --header 'Authorization: Bearer <token>'Get all groups assigned to a group. For non-admins, you must be a member of this group.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organization
required
string
The organization nickname
projectId
required
integer
The project id
groupId
required
string
The group id
Responses
Section titled “ Responses ”Successful response
Media typeapplication/json
object
id
The unique identifier for this layer
integer
layerId
The unique identifier for this layer
integer
name
The name of this layer
string
Example
{ "id": 123, "layerId": 123, "name": "My layer"}Bad Request
Unauthorized
Forbidden